## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDocumentWrapper::BuildWrapperTreeWalker Class Reference

`#include <XercesDocumentWrapper.hpp>`

Inheritance diagram for XercesDocumentWrapper::BuildWrapperTreeWalker:

[legend]
Collaboration diagram for XercesDocumentWrapper::BuildWrapperTreeWalker:

[legend]
List of all members.

## Public Types

- typedef XercesDOMWalker ParentType
- typedef XalanVector<NavigatorStackEntryType> NavigatorStackType

## Public Methods

- BuildWrapperTreeWalker (XercesDocumentWrapper *theDocument, XercesWrapperNavigator *theDocumentNavigator, IndexType theStartIndex, bool theBuildMapsFlag)
- virtual ~BuildWrapperTreeWalker ()

## Protected Methods

- virtual bool startNode (const DOMNodeType *node)
    Called when first walking a node. More...
- virtual bool endNode (const DOMNodeType *node)
    Called when leaving a node. More...

## Member Typedef Documentation

typedef XalanVector< NavigatorStackEntryType > XercesDocumentWrapper::BuildWrapperTreeWalker::NavigatorStackType<NavigatorStackEntryType>

typedef XercesDOMWalker XercesDocumentWrapper::BuildWrapperTreeWalker::ParentType

## Constructor & Destructor Documentation

XercesDocumentWrapper::BuildWrapperTreeWalker::BuildWrapperTreeWalker ( | XercesDocumentWrapper * theDocument,
| XercesWrapperNavigator * theDocumentNavigator,
| IndexType theStartIndex,
| bool theBuildMapsFlag )

XercesDocumentWrapper::BuildWrapperTreeWalker::~BuildWrapperTreeWalker ( | )`[virtual]`

## Member Function Documentation

bool XercesDocumentWrapper::BuildWrapperTreeWalker::endNode ( | const DOMNodeType * node )`[protected, virtual]`

Called when leaving a node.

Parameters:

  node | The node

Returns:
  return false if traversal should continue, or true if it should not.

Reimplemented from XercesDOMWalker.

bool XercesDocumentWrapper::BuildWrapperTreeWalker::startNode ( | const DOMNodeType * node )`[protected, virtual]`

Called when first walking a node.

Parameters:

  node | The node

Returns:
  return false if traversal should continue, or true if it should not.

Reimplemented from XercesDOMWalker.

The documentation for this class was generated from the following file:

- XercesDocumentWrapper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.